@charset "utf-8";

/*==================================
　スマートフォン用ナビゲーション
===================================*/

@media screen and (max-width:767px) {
    /*　ハンバーガーメニューボタン　*/
    .hamburger {
        display: block;
        position: fixed;
        z-index: 3;
        right: 15px;
        top: 30px;
        width: 42px;
        height: 37px;
        cursor: pointer;
        text-align: center;
        background-color: var(--key-color);
    }

    .hamburger span {
        display: block;
        position: absolute;
        width: 30px;
        height: 2px;
        left: 6px;
        background: #FFFFFF;
        -webkit-transition: 0.3s ease-in-out;
        -moz-transition: 0.3s ease-in-out;
        transition: 0.3s ease-in-out;
    }

    .hamburger span:nth-child(1) {
        top: 9px;
    }

    .hamburger span:nth-child(2) {
        top: 18px;
    }

    .hamburger span:nth-child(3) {
        top: 27px;
    }

    .hamburger > div {
        position: absolute;
        top: 33px;
        left: 4px;
        font-size: 12px;
    }

    /* スマホメニューを開いてる時のボタン */
    .hamburger.active span:nth-child(1) {
        top: 16px;
        left: 6px;
        background: #FFFFFF;
        -webkit-transform: rotate(-45deg);
        -moz-transform: rotate(-45deg);
        transform: rotate(-45deg);
    }

    .hamburger.active span:nth-child(2),
    .hamburger.active span:nth-child(3) {
        top: 16px;
        background: #FFFFFF;
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        transform: rotate(45deg);
    }

    /* メニュー背景　*/
    nav.globalMenuSp {
        height: 100vh;
        position: fixed;
        z-index: 2;
        top: 0;
        left: 0;
        color: #fff;
        background: linear-gradient(to bottom, var(--key-color), var(--sub-color));
        text-align: center;
        width: 100%;
        transform: translateX(-100%);
        transition: all 0.6s;
    }

    nav.globalMenuSp ul {
        margin: 0 auto;
        padding: 75px 0 0 0;
        width: 100%;
    }

    nav.globalMenuSp ul li {
        list-style-type: none;
        padding: 0;
        width: 100%;
        transition: .4s all;
        border-bottom: 1px solid #005bab;
    }

    nav.globalMenuSp ul li:last-child {
        padding-bottom: 0;
    }

    nav.globalMenuSp ul li:hover {
        background: #FFFFFF;
    }

    nav.globalMenuSp ul li.active {
        background: #FFFFFF;
    }

    nav.globalMenuSp ul li.active a {
        color: var(--sub-color);
    }

    nav.globalMenuSp ul li a {
        display: block;
        color: #fff;
        padding: 0.65em 0;
        text-decoration: none;
    }

    /* クリックでjQueryで追加・削除 */
    nav.globalMenuSp.active {
        opacity: 100;
        display: block;
        transform: translateX(0%);
    }

    nav.globalMenuSp ul li a span > br {
        display: none;
    }
}

/*==================================
　PC用ナビゲーション
===================================*/

@media (min-width: 768px) {
    
    /* PCでは、表示させない */
    .hamburger {
        display: none;
    }

    .menu {
        display: grid;
        row-gap: 1px;
        margin-top: 10px;
    }

    .menu li {
        width: 210px;
        margin-left: auto;
        margin-right: auto;
    }

    .menu li a {
        display: flex;
        align-items: center;
        width: 210px;
        height: 44px;
        margin-left: auto;
        margin-right: auto;
        box-sizing: border-box;
        border: 2px solid transparent;
        background-clip: padding-box, border-box;
        background-origin: padding-box, border-box;
        background-image: linear-gradient(to top, #FFFFFF, #FFFFFF), linear-gradient(to bottom, #FFFFFF, #FFFFFF);
        background-position: left top;
        background-repeat: no-repeat;
        background-size: 100% 100%, 100% 100%;
        font-size: 14px;
        font-weight: bold;
        color: var(--sub-color);
        text-decoration: none;
        transition: all .5s;
    }

    .menu li a > span {
        margin-left: 10px;
    }

    .menu li a:hover {
        background-image: linear-gradient(to top, #1B1464, #2E3190), linear-gradient(to bottom, #1B1464, #2E3190);
        color: #FFFFFF;
        text-decoration: none;
        filter: brightness(90%) contrast(120%);
        transition: all 0.5s;
    }

    .menu li.active a {
        background-image: linear-gradient(to top, #1B1464, #2E3190), linear-gradient(to bottom, #1B1464, #2E3190);
        color: #FFFFFF;
        text-decoration: none;
    }

    .menu li.active a:hover {
        cursor: default;
    }
}

/* 準備中 */
/* .menu li:not(.lang) a[href="./participant.html"],
.menu li:not(.lang) a[href="./speaker.html"] {
    color: #999;
    pointer-events: none;
} */

.menu li a {
    position: relative;
}

.menu li a.oshirase {
    /* border: 4px solid var(--point-color); */
    background-image: linear-gradient(to top, #e3007f, #e3007f), linear-gradient(to bottom, #e3007f, #e3007f);
    background-position: left top;
    background-repeat: no-repeat;
    background-size: 100% 100%, 100% 100%;
    color: #fff;
    transition: all 0.5s;
}
.menu li a.oshirase:hover {
    background-image: linear-gradient(to top, #1B1464, #2E3190), linear-gradient(to bottom, #1B1464, #2E3190);
    color: #FFFFFF;
    text-decoration: none;
    filter: brightness(90%) contrast(120%);
    transition: all 0.5s;
}